[AlternC-dev] release de 0.9.7

Retour à l'archive de la liste
Le site d'AlternC
Google Custom Search

Olivier Huet contact at olivierhuet.fr
Mer 21 Nov 20:59:42 CET 2007



> -----Message d'origine-----
> De : dev-bounces at alternc.org [mailto:dev-bounces at alternc.org] De la part
> de ENGELAERE Arnaud
> Envoyé : mercredi 21 novembre 2007 19:30
> À : dev at alternc.org
> Objet : Re: [AlternC-dev] release de 0.9.7
> 
> Bonsoir,
> 
> > Est que le passage en php5 est à faire aussi ? Quels risques possibles
> > pour les sites en php4
> 
> php5 est en stable dans etch, donc tu peux faire la MAJ.
> A ma connaissance, il n'y a aucun risque pour les site en php4 (ormis,
> il me semble que seul la balise <?php est obligatoire en php5, <?
> n'est plus accepté, il me semble.)

La balise <? est toujours acceptée en php5, par contre il est faux de penser
que tous les scripts en php4 vont continuer de fonctionner en php5 !

Quelques pages a ce propos (il y en a de nombreuses sur google)
http://php.net/manual/fr/migration5.incompatible.php
http://www.olivierdoucet.info/blog/?post/2006/06/14/27-migrer-de-php4-a-php5
http://php.net/manual/fr/faq.migration5.php





Plus d'informations sur la liste de diffusion Dev